#
# spec file for package laus (Version 0.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind9-utils bison cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unitedlinux-release unzip util-linux vim zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl rpm zlib

Name:         laus
Summary:      Linux Audit-Subsystem user space tools and daemon
Version:      0.1
Release:      70RHEL3
License:      GPL
Group:        System/Monitoring
Source:       laus-0.1.tar.bz2
Source1:      audit.init
Patch1:       laus-0.1.patch
Patch2:	      laus-unistd.patch
Patch3:	      laus.rhel-manpages.patch
Patch4:	      laus-rhel-nsync.patch
Patch5:       laus-0.1-semtimedop.patch
Patch6:	      laus-0.1-ia64audith.patch
Patch7:       laus-0.1-ia64-missing-defines.patch
Patch8:       laus-0.1-clone2.patch
Patch9:       laus-0.1-bind.patch
Patch10:      laus-0.1-bug_130071_audbin_threshold.patch
Patch11:      laus-0.1-bug_147996_mktime.patch
Patch12:      laus-0.1-bug_147993_AUDPR_SEQNR.patch
Patch13:      laus-0.1-bug-142334_fix_pipe_streams.patch
Patch14:      laus-0.1-bug_141314_improve_auditd_logging.patch
Patch15:      laus-0.1-bug_138635_auditd_manpage.patch
Patch16:      laus-0.1-bug_138634_aduit_audit.patch
Patch17:      laus-0.1-bug_138169_laus_records.patch
Patch18:      laus-0.1-bug_130071_laus_exec_use_shell.patch
Patch19:      laus-0.1-bug_147996_dst_correction.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Prereq:	      coreutils, chkconfig
%description
This package includes all user space utilities needed for handling the Linux Audit-Subsystem (LAuS).
The following components are included:
- audit daemon
- audit tools
- PAM module
- liblaus
- liblaussrv
- man pages

Your kernel has to support system call auditing to make these tools work.

Authors:
--------
    Olaf Kirch <okir@suse.de>
    Thomas Biege <thomas@suse.de>

%package devel
Group:        System/Monitoring
Summary:      Linux Audit-Subsystem user space tools and daemon

%description devel
This package includes all user space utilities needed for handling the Linux Audit-Subsystem (LAuS).
The following components are included:
- audit daemon
- audit tools
- PAM module
- liblaus
- liblaussrv
- man pages

Your kernel has to support system call auditing to make these tools work.

Authors:
--------
    Olaf Kirch <okir@suse.de>
    Thomas Biege <thomas@suse.de>

%package libs
Group:        System/Monitoring
Summary:      Linux Audit-Subsystem user space libraries
Obsoletes:    laus < 0.1-65RHEL3

%description libs
This package includes the laus libraries required by PAM and the Linux Audit-Subsystem (LAuS).
The following components are included:
- liblaus
- liblaussrv

Your kernel has to support system call auditing to make these tools work.

Authors:
--------
    Olaf Kirch <okir@suse.de>
    Thomas Biege <thomas@suse.de>

%prep
%setup
cp %{SOURCE1} auditd/
%patch1 -p1
%patch2 -p1 -b .unistd
%patch3 -p1 -b .rhel-manpages
%patch4 -p1 -b .nsync
%patch5 -p1 -b .semtimedop
%patch6 -p1 -b .ia64-audith
%patch7 -p1 -b .ia64-defines
%patch8 -p1 -b .clone2
%patch9 -p1 -b .bind
%patch10 -p1 -b .bug_130071_audbin_threshold
%patch11 -p1 -b .bug_147996_mktime
%patch12 -p1 -b .bug_147993_AUDPR_SEQNR
%patch13 -p1 -b .bug-142334_fix_pipe_streams
%patch14 -p1 -b .bug_141314_improve_auditd_logging
%patch15 -p1 -b .bug_138635_auditd_manpage
%patch16 -p1 -b .bug_138634_aduit_audit
%patch17 -p1 -b .bug_138169_laus_records
%patch18 -p1 -b .audbin_exec_use_shell
%patch19 -p1 -b .dst_correction

rm -rf $RPM_BUILD_DIR/laus-0.1/include/asm*

%build
#autoheader
autoreconf --install
CFLAGS="$RPM_OPT_FLAGS -fPIC" \
./configure --prefix=/usr \
	--sysconfdir=/etc \
	--libdir=/%{_lib} \
	--mandir=%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
# install files
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/sbin/rcaudit
rm -rf $RPM_BUILD_ROOT/usr/include/asm*
# create init script and rc-file
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 750 auditd/audit.init $RPM_BUILD_ROOT/etc/init.d/audit
# move pam module where it belongs to be
#mkdir -p $RPM_BUILD_ROOT/%{_lib}/security/
#mv $RPM_BUILD_ROOT/%{_libdir}/security/pam_laus.so $RPM_BUILD_ROOT/%{_lib}/security/ 

%post
[ -c /dev/audit ] ||  /bin/mknod /dev/audit c 10 224
/bin/chmod 600 /dev/audit
/sbin/chkconfig --add audit

%preun
if [ $1 = 0 ];then
  /sbin/service audit stop 2>&1 > /dev/null
  /sbin/chkconfig --del audit
fi

%postun
if [ $1 -ge 1 ]; then
   /sbin/service audit condrestart 2>&1 > /dev/null
   exit 0
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
#%attr(600,root,root) /dev/audit
%attr(700,root,root) /sbin/auditd
%attr(700,root,root) /usr/sbin/aucat
%attr(700,root,root) /usr/sbin/aurun
%attr(700,root,root) /usr/sbin/augrep
%attr(700,root,root) /usr/sbin/audbin
%attr(555,root,root) /etc/init.d/audit
%attr(700,root,root) %dir /etc/audit
%attr(600,root,root) %config(noreplace) /etc/audit/audit.conf
%attr(600,root,root) %config(noreplace) /etc/audit/filter.conf
%attr(600,root,root) %config(noreplace) /etc/audit/filesets.conf
%attr(444,root,root) %doc %{_mandir}/man1/*
%attr(444,root,root) %doc %{_mandir}/man4/*
%attr(444,root,root) %doc %{_mandir}/man5/*
%attr(444,root,root) %doc %{_mandir}/man7/*
%attr(444,root,root) %doc %{_mandir}/man8/*

%files devel
%defattr(-,root,root)
%attr(444,root,root) /%{_lib}/liblaus.a
%attr(444,root,root) /%{_lib}/liblaus.la
%attr(555,root,root) /%{_lib}/liblaus.so
%attr(444,root,root) /%{_lib}/liblaussrv.a
%attr(444,root,root) /%{_lib}/liblaussrv.la
%attr(555,root,root) /%{_lib}/liblaussrv.so
%attr(444,root,root) %doc %{_mandir}/man3/*
#%attr(444,root,root) /usr/include/asm*/*.h
%attr(444,root,root) /usr/include/*.h
%attr(444,root,root) /usr/include/linux/audit.h

%files libs
%attr(555,root,root) /%{_lib}/liblaus.so.*
%attr(555,root,root) /%{_lib}/liblaussrv.so.*
%attr(555,root,root) /%{_lib}/security/pam_laus.so

%changelog
* Wed Apr 06 2005 Jason Vas Dias <jvdias@redhat.com> 0.1.70RHEL3
- stop auditd's output_notify trashing audbin arguments that contain spaces
- allow augrep to match times during DST: workaround mktime() bug

* Fri Mar 11 2005 Jason Vas Dias <jvdias@redhat.com> 0.1.68RHEL3
- fix bug 134051: provide mechanism to install audit sysctl settings
- on auditd startup in audit.init

* Thu Feb 24 2005 Jason Vas Dias <jvdias@redhat.com> 0.1-67RHEL3
- fix bug 130071: add -T and -N options to audbin
- fix bug 147996: make augrep -s and -x options use mktime
- fix bug 147993: make augrep print sequence number by default as documented
- fix bug 142334: enable output to pipe streams
- fix bug 141314: enable use of syslog by auditd for LOG_ERR messages
- fux bugs 138635, 138634, 138169 - misc. documentation spelling mistakes
- fix bug 135873: audit no longer on by default in clean install now that 130071 fixed 

* Tue Aug 31 2004 root <ccb@redhat.com> 0.1-66RHEL3
- merge several ia64-related patches from klaus@atsec.com

* Tue Aug 24 2004 root <ccb@redhat.com> 0.1-65RHEL3
- Obsolete all versions prior to this to force removal of ppc32 U2 package

* Tue Aug 17 2004 root <ccb@redhat.com> 0.1-64RHEL3
- Force exit 0 on postun condrestart

* Thu Aug 12 2004 root <ccb@redhat.com> 0.1-63RHEL3
- have laus-libs obsolete old laus for U2 multilib issues

* Sun Jun 27 2004 root <ccb@redhat.com> 0.1-62RHEL3
- enable semtimedop() syscall logging, patch by klaus@atsec.com

* Tue Jun 22 2004 - ccb@redhat.com (0.1-60RHEL)
- open up to ia64

* Thu Jun 10 2004 - ccb@redhat.com (0.1-59RHEL)
- move the audit config files from laus-libs to laus to avoid
-  conflicts in biarch installs

* Fri May 21 2004 - ccb@redhat.com (0.1-58RHEL)
- merge up all audit.init patches into a file delivered as Source1
- rework the nsync patch to disable sync by default with comments
-  in audit.conf on how to use sync-after
- default audit.conf sync = to NO
* Thu May 20 2004 - ccb@redhat.com
- get the -fPIC stuff right
- add a "sync-after" option in audit.conf that modulates fysnc()/msync()
* Tue May 11 2004 - ccb@redhat.com
- unwind the -fPIC change
- factor out a libs package for use in biarch contexts 
* Thu May 06 2004 - ccb@redhat.com
- build with -fPIC
* Wed Apr 14 2004 - ccb@redhat.com
- patched laus.7 manpage to replace references to
-  certification-sles-eal3 with references to
-  certification-rhel-eal3.
* Tue Apr 13 2004 - ccb@redhat.com
- patched the init script to exit gracefully if the
-  audit kernel module cannot be loaded
- consolidate the last bunch of initscript patches
- modified the pre- and post- scripts to not configure
-  the init scripts to run on ia64 systems
* Mon Apr 12 2004 - ccb@redhat.com
- remove gratuitous auditd64
- add /var/lock/subsys locking in init.d/audit
* Mon Apr 12 2004 - ccb@redhat.com 0.1-RHEL49
- add Prereqs
- use full paths to commands in %post, %postun, %preun
- add patch to clean up init.d/audit script
- move liblaus.so to /lib
* Mon Mar 08 2004 - ccb@redhat.com
- add patch to assure use of system unistd.h
* Fri Feb 20 2004 - ccb@redhat.com
- move /dev/audit mknod to post-install
- turn auditing on/off with chkconfig
* Wed Feb 11 2004 - ccb@redhat.com
- remerge Mark's asm/*.h changes
* Wed Feb 11 2004 - ccb@redhat.com
- integrate RHEL port changes from Mark Dewandel
* Fri Oct 31 2003 - thomas@suse.de
- fixed inconsistency in audit init-file (#32777)
- man-pages didnt get installed due to not listing them in
  Makefile.am
* Thu Oct 23 2003 - thomas@suse.de
- added missing man page (#32619)
* Tue Oct 21 2003 - thomas@suse.de
- print msgsnd,msgrcv arguments in hex
- fixed wrong PID in PID-file (#32554)
* Fri Oct 17 2003 - thomas@suse.de
- added fix for init script to handle PPC64 (#32415)
* Thu Oct 16 2003 - thomas@suse.de
- minor changes plus fixing bug #32103
* Wed Oct 08 2003 - thomas@suse.de
- added support for pid file to make init script
  work on PPC (#32109)
* Tue Oct 07 2003 - thomas@suse.de
- readded biarch support for augrep (#32004)
- added proc filesystem descr. to audit(4) man page
- added missing initialisation for laus_close()
- fixed IA64 support
- added s390x support
* Mon Sep 29 2003 - thomas@suse.de
- removed interaction problem with pam-laus
- laus_open keeps track of caller now
* Mon Sep 29 2003 - thomas@suse.de
- added IA64 support
* Fri Sep 26 2003 - thomas@suse.de
- bugfix for augrep
* Fri Sep 26 2003 - thomas@suse.de
- added reference for laus.7 to all man-pages
* Fri Sep 26 2003 - thomas@suse.de
- fixed man page
* Fri Sep 26 2003 - thomas@suse.de
- updated to newest sources
* Thu Sep 18 2003 - thomas@suse.de
- various changes to make it work on ppc and ppc64
* Tue Sep 16 2003 - thomas@suse.de
- priority fix for auditd
* Wed Sep 10 2003 - thomas@suse.de
- added minor patch for augrep
- new code to read more than one message from kernel
- fixed auditd to detach
- filter.conf now handles address result values
* Thu Sep 04 2003 - thomas@suse.de
-  added patches for augrep and aucat
* Thu Sep 04 2003 - thomas@suse.de
- some code fixes to work with new kernel design
* Wed Aug 27 2003 - thomas@suse.de
- removed predicate from filter.conf
- fixed symlink in audit.conf
- added ppc code
* Mon Aug 25 2003 - thomas@suse.de
- updated to new sources for SP3 freature freeze
* Thu Aug 14 2003 - thomas@suse.de
- updated to new sources, main change: audit-tag support
* Wed Aug 13 2003 - thomas@suse.de
- added man1/ to file list
* Sat Aug 09 2003 - thomas@suse.de
- fixed archive type
* Fri Aug 08 2003 - thomas@suse.de
- added missing header for audit-tags
* Fri Aug 08 2003 - kukuk@suse.de
- static libraries are not executeable
* Fri Aug 08 2003 - thomas@suse.de
- fixed library problem between laus and laus-devel
* Fri Aug 08 2003 - thomas@suse.de
- updated to newest code
- this one should fix the x86_64 problems
* Thu Aug 07 2003 - thomas@suse.de
- missed a / in front of %%{_lib}
* Thu Aug 07 2003 - thomas@suse.de
- fixes for the devel-package to completely install the libs
* Thu Aug 07 2003 - thomas@suse.de
- changed spec file for handling /lib64
* Mon Aug 04 2003 - thomas@suse.de
- copy the pam module where it belongs to
* Fri Aug 01 2003 - okir@suse.de
- more build fixes
- make aurun behave correctly
* Thu Jul 31 2003 - okir@suse.de
- build fix for powerpc
- create /dev/audit
* Tue Jul 29 2003 - okir@suse.de
- Various updates and bugfixes
* Tue Jul 29 2003 - thomas@suse.de
- fixed problem with init script installation
* Tue Jul 15 2003 - thomas@suse.de
- initial version
